Skip to content

submissions_create

POST
/api/submissions
curl --request POST \
--url https://example.com/api/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--data '{ "workspace": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "connection": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Create a new Submission object.

X-Workspace
required
string format: uuid

Workspace ID

Serializer for Submission objects.

object
id
required
string format: uuid
workspace
string format: uuid
title
required
string
<= 500 characters
status
required
string
Allowed values: draft generating metadata ready submission in progress submitted update available
data
required

Return information about the data related to a given object.

Parameters

obj : object The object for which to retrieve the related data.

Returns

dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.

object
key
additional properties
settings
required

Return settings information for a submission.

Parameters

obj : Submission The submission object.

Returns

dict A dictionary containing the settings count and related URL.

object
key
additional properties
connection
required
string format: uuid
connection_obj
required

Return serialized data for a connection object with context information.

This method serializes the connection attribute of the input object using ConnectionSubmissionSerializer, including the request context.

Parameters

obj : object The object containing a connection attribute to be serialized.

Returns

dict The serialized data of the connection object within the provided object, including the context of the current request.

object
key
additional properties
errors
required
last_failed_async_task
required
error_reason
required
One of:
  • submission_failed - submission_failed
  • metadata_generation_failed - metadata_generation_failed
  • blocking_errors - blocking_errors
string
Allowed values: submission_failed metadata_generation_failed blocking_errors
external_identifiers
required

Retrieve all external identifiers for the given submission object.

Parameters

obj : Submission The submission object.

Returns

list[dict] The serialized data of the external identifier.

Array<object>
object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : object The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : object The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time
Media typeapplication/json

Serializer for Submission objects.

object
id
required
string format: uuid
workspace
string format: uuid
title
required
string
<= 500 characters
status
required
string
Allowed values: draft generating metadata ready submission in progress submitted update available
data
required

Return information about the data related to a given object.

Parameters

obj : object The object for which to retrieve the related data.

Returns

dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.

object
key
additional properties
settings
required

Return settings information for a submission.

Parameters

obj : Submission The submission object.

Returns

dict A dictionary containing the settings count and related URL.

object
key
additional properties
connection
required
string format: uuid
connection_obj
required

Return serialized data for a connection object with context information.

This method serializes the connection attribute of the input object using ConnectionSubmissionSerializer, including the request context.

Parameters

obj : object The object containing a connection attribute to be serialized.

Returns

dict The serialized data of the connection object within the provided object, including the context of the current request.

object
key
additional properties
errors
required
last_failed_async_task
required
error_reason
required
One of:
  • submission_failed - submission_failed
  • metadata_generation_failed - metadata_generation_failed
  • blocking_errors - blocking_errors
string
Allowed values: submission_failed metadata_generation_failed blocking_errors
external_identifiers
required

Retrieve all external identifiers for the given submission object.

Parameters

obj : Submission The submission object.

Returns

list[dict] The serialized data of the external identifier.

Array<object>
object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : object The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : object The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time

Example

{
"status": "draft",
"error_reason": "submission_failed"
}
Media typeapplication/json

Serializer for Submission objects.

object
id
required
string format: uuid
workspace
string format: uuid
title
required
string
<= 500 characters
status
required
string
Allowed values: draft generating metadata ready submission in progress submitted update available
data
required

Return information about the data related to a given object.

Parameters

obj : object The object for which to retrieve the related data.

Returns

dict A dictionary containing: - “count”: The count of data related to the object. - “related”: The URL for accessing the related data.

object
key
additional properties
settings
required

Return settings information for a submission.

Parameters

obj : Submission The submission object.

Returns

dict A dictionary containing the settings count and related URL.

object
key
additional properties
connection
required
string format: uuid
connection_obj
required

Return serialized data for a connection object with context information.

This method serializes the connection attribute of the input object using ConnectionSubmissionSerializer, including the request context.

Parameters

obj : object The object containing a connection attribute to be serialized.

Returns

dict The serialized data of the connection object within the provided object, including the context of the current request.

object
key
additional properties
errors
required
last_failed_async_task
required
error_reason
required
One of:
  • submission_failed - submission_failed
  • metadata_generation_failed - metadata_generation_failed
  • blocking_errors - blocking_errors
string
Allowed values: submission_failed metadata_generation_failed blocking_errors
external_identifiers
required

Retrieve all external identifiers for the given submission object.

Parameters

obj : Submission The submission object.

Returns

list[dict] The serialized data of the external identifier.

Array<object>
object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : object The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : object The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time

Example

{
"status": "draft",
"error_reason": "submission_failed"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "body_validation_error",
"message": "The request body does not match the schema for the expected parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "settings",
"message": "This field is required",
"code": "required"
}
]
}